from loguru import logger
from AbstractSinkHandler import AbstractSinkHandler

# make sure other derived modules/classes from AbstractSinkHandler/AbstractSinkHandler 
# use the same name for the module and the class within

class DummySinkHandler(AbstractSinkHandler):
    def sinkAction(self, dataObject):
        logger.info(f"sink {self.name} received {dataObject} for experiment {self.experiment}")
